petsc-3.4.2 2013-07-02

# DMPlexGetDimension

Return the topological mesh dimension

### Synopsis

    #include "petscdmplex.h"
    PetscErrorCode DMPlexGetDimension(DM dm, PetscInt *dim)

Not collective

### Input Parameter

mesh -The DMPlex

### Output Parameter

dim -The topological mesh dimension

### See Also

DMPlexCreate()

Level:beginner
Location:src/dm/impls/plex/plex.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/snes/examples/tutorials/ex31.c.html